Query sales program group details
GET https://{handle}.myshopline.com/admin/openapi/v20261201/selling_plan_group/:selling_plan_group_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Path Parameters
- selling_plan_group_id string requiredSales plan group idExample:
14056200245844372441100010
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
selling_plan_groupobject
Sales plan group detailsdescription stringDescriptionExample:This is a descriptionid stringSales plan group idExample:14056200245844372441100009options arrayList of sales plan group optionsExample:["[\"delivery every 1 months\", \"delivery every 2 months\", \"delivery every 3 months\"]"]app_id stringSales channel idExample:c41ac9e6736785502d2333d1b1153aca795075c4name stringSales plan group nameExample:Subscription plan group default nameposition integerDisplay locationExample:1merchant_code stringShow the name to the sellerExample:Subscription plan group default nameproduct_ids arrayproduct id list for bindingExample:["[\"16057039432335097907370282\"]"]selling_plansobject[]
Sales plan listbilling_policyobject
Billing strategypolicy_type stringStrategy type : RECURRING - periodic billing strategyExample:RECURRINGrecurringobject
Periodic billing strategy contentmin_cycles integerMinimum billing cycleinterval stringBilling frequency unit : DAY、MONTH、WEEK、YEARExample:DAYinterval_count integerBilling interval , default is 1Example:10max_cycles integerMaximum billing cycleExample:1description stringSales plan descriptionExample:This is a descriptionid stringSales plan idExample:14156200245844372441120009name stringSales plan nameExample:Delivery every 10 daysoptions arrayList of sales plan optionsExample:["[\"Delivery every 10 days\"]"]position integerDisplay position , the smaller the more frontExample:1pricing_policiesobject[]
Price policyfixedobject
Fixed price policy contentadjustment_type stringDiscount type : FIXED_AMOUNT - minus , PERCENTAGE - discountExample:FIXED_AMOUNTadjustment_valueobject
Discount valuefixed_value stringDeduction fixed amountExample:10percentage stringSubtraction percentageExample:10.5policy_type stringStrategy type : FIXED - fixed price strategyExample:FIXED
API Explorer
Debugger
Examples
Was this article helpful to you?